Subject: Re: bug#21313: 25.0.50; Strange errors from dbus-handle-event

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Sep 2015 15:39:05 +0300

> From: Tassilo Horn <[email-masked]>
> Date: Fri, 11 Sep 2015 14:28:51 +0200
> 
> Just now, I had three other strange errors during killing in
> message-mode.  The first two were about errors in
> `file-notify-handle-event' which was called with something wrong.  With
> the first error, it received a buffer (!) instead of an event, with the
> second error I think it received something else which I can't remember.
> At least it hasn't been a file-notification event.

I think this is the same problem as the one fixed in bug #21337,
except that the cause for the problem is different: where it was
GnuTLS in that bug, it's something else in yours.

So I suggest to read the description of the root cause posted by
Robert Pluim in http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21337#31,
and then look for something very similar, but involving other sources
of input events, perhaps D-Bus.  The symptoms you describe exactly
match what he explained there.